Bug 251392 - devel/py-codecov: Update to 2.1.10 and take maintainership
Summary: devel/py-codecov: Update to 2.1.10 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords: buildisok, patch-ready
Depends on:
Blocks:
 
Reported: 2020-11-26 04:34 UTC by Guangyuan Yang
Modified: 2020-12-01 11:41 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch (6.71 KB, patch)
2020-11-26 04:34 UTC, Guangyuan Yang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2020-11-26 04:34:20 UTC
Created attachment 219987 [details]
Proposed patch
Comment 1 Guangyuan Yang freebsd_committer 2020-11-26 04:39:55 UTC
Take over maintainership. Updated the patch to the test suite, and also reported it upstream: https://github.com/codecov/codecov-python/issues/304

Build is ok: https://github.com/yzgyyang/freebsd-ports-testing/pull/8/checks?check_run_id=1453330055
Comment 2 Li-Wen Hsu freebsd_committer 2020-11-30 15:39:27 UTC
Approved by: lwhsu (ports)
Comment 3 commit-hook freebsd_committer 2020-12-01 11:38:39 UTC
A commit references this bug:

Author: ygy
Date: Tue Dec  1 11:38:29 UTC 2020
New revision: 556726
URL: https://svnweb.freebsd.org/changeset/ports/556726

Log:
  devel/py-codecov: Update to 2.1.10 and take maintainership

  PR:		251392
  Approved by:	lwhsu

Changes:
  head/devel/py-codecov/Makefile
  head/devel/py-codecov/distinfo
  head/devel/py-codecov/files/patch-tests_test.py